Issue 92812 - building stlport fails with certain nmake versions
Summary: building stlport fails with certain nmake versions
Status: CLOSED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: code (show other issues)
Version: DEV300m29
Hardware: PC Windows, all
: P3 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: Stephan Bergmann
QA Contact: Unknown
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-15 09:07 UTC by Stephan Bergmann
Modified: 2008-10-27 14:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2008-08-15 09:07:54 UTC
Building module stlport on DEV300m29 wntmsci12.pro in the Hamburg setsolar build
environment failed for me:

 [...]
 mkdir ..\\lib\\obj\\VC7\\Release
 rem @echo off
 iff "%PERL%" == "" then
 call %PERL% %SOLARENV%\bin\mkdir.pl %1&
 Can't create directory  at o:\DEV300\src.m29\solenv\bin\mkdir.pl line 56.
 cl.exe /nologo /c /Zi /W3 /GR /EHa /Zc:wchar_t- /D "WIN32" /D "_WINDOWS" /I
"..\\stlport" /TP /FI "vc_warning_disable.h" /D "_MBCS" /D
"_CRT_SECURE_NO_DEPRECATE" /D "_CRT_NONSTDC_NO_DEPRECATE" /FD  /D
"_STLP_NO_FORCE_INSTANTIATE" /MT /O2 /DNDEBUG  
/Fo"..\\lib\\obj\\VC7\\Release\\" /Fd"..\\lib\\obj\\VC7\\Release\\" .\dll_main.cpp
 dll_main.cpp
 .\dll_main.cpp : fatal error C1033: cannot open program database
'e:\stlport\wntmsci12.pro\misc\build\stlport-4.5-0119\lib\obj\vc7\release\vc90.pdb'
 NMAKE : fatal error U1077: 'r:\msvc9p\bin\cl.exe' : return code '0x2'
 Stop.
 dmake:  Error code 130, while making
'.\wntmsci12.pro\misc\build\so_built_so_stlport'
 ERROR: Error 65280 occurred while making E:\stlport

The reason appears to be that the used nmake 9.00.21022.08, for the target

 mkdir ..\\lib\\obj\\VC7\\Release

calls solenv/bin/mkdir.btm:1.1 (from PATH), while for example older nmake
7.10.3077 (used for example for SRC680m124 wntmsci10.pro in the Hamburg setsolar
build environment) instead calls the 4nt-internal MKDIR.  Now,
solenv/bin/mkdir.btm:1.1 (in turn calling solenv/bin/mkdir.pl:1.5) stumbles over
the double backslashes, while the 4nt-internal MKDIR treats the double
backslashes like single ones.
Comment 1 Stephan Bergmann 2008-08-15 09:13:13 UTC
The best fix seems to be getting rid of the double backslashes in the first
place, see stlport/STLport-4.5-0119.patch:1.11.10.1 on
<http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fsb93>.
Comment 2 Stephan Bergmann 2008-08-29 12:04:30 UTC
verified
Comment 3 Stephan Bergmann 2008-10-27 14:33:44 UTC
.